ECHO OFF
IF NOT "%OS%"=="Windows_NT" %WINDIR%\system\regsvr32.exe /s %WINDIR%\system\atl.dll
IF NOT "%OS%"=="Windows_NT" %WINDIR%\system\regsvr32.exe /s %WINDIR%\system\hpbmiapi.dll
IF NOT "%OS%"=="Windows_NT"  %WINDIR%\system\hpbpro.exe -regserver
IF NOT "%OS%"=="Windows_NT"  %WINDIR%\system\hpboid.exe -regserver
ECHO ON
EXIT